package contract_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type ContractBizPressRequest struct {
	ContractRequest *common.ContractRequest `json:"contractRequest"`
	// <ext>core:true</ext> 【个人用户】个人用户 【作用】 查询需发送通知的用户 【传参】 1、参数必传其一，传入多个参数时只按参数中最高优先级查询，优先级为用户id>联系方式>手机号>邮箱>成员编号>证件号>第三方业务系统用户id>登录账号。 2、若用户不存在时，将会报错。
	UserInfoRequests []*common.UserInfoRequest `json:"userInfoRequests"`
	BizSmsParam      *common.BizParam          `json:"bizSmsParam,omitempty"`
}

func (obj ContractBizPressRequest) GetUrl() string {
	return "/contract/biz/press"
}

func (obj ContractBizPressRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
